Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class CheckBoxEx

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.button.AbstractButton
              nextapp.echo2.app.button.ToggleButton
                  nextapp.echo2.app.CheckBox
                      echopointng.CheckBoxEx

All Implemented Interfaces:
  Attributeable, java.io.Serializable, RenderIdSupport

    public class CheckBoxEx

extends CheckBox
implements Attributeable

`CheckBoxEx`

See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.button.ToggleButton
`PROPERTY_PRESSED_SELECTED_STATE_ICON, PROPERTY_PRESSED_STATE_ICON, PROPERTY_ROLLOVER_SELECTED_STATE_ICON, PROPERTY_ROLLOVER_STATE_ICON, PROPERTY_SELECTED_STATE_ICON, PROPERTY_STATE_ALIGNMENT, PROPERTY_STATE_ICON, PROPERTY_STATE_MARGIN, PROPERTY_STATE_POSITION, SELECTED_CHANGED_PROPERTY`

Fields inherited from class nextapp.echo2.app.button.AbstractButton
`ACTION_LISTENERS_CHANGED_PROPERTY, INPUT_CLICK, PROPERTY_ALIGNMENT, PROPERTY_BACKGROUND_IMAGE, PROPERTY_BORDER, PROPERTY_DISABLED_BACKGROUND, PROPERTY_DISABLED_BACKGROUND_IMAGE, PROPERTY_DISABLED_BORDER, PROPERTY_DISABLED_FONT, PROPERTY_DISABLED_FOREGROUND, PROPERTY_DISABLED_ICON, PROPERTY_HEIGHT, PROPERTY_ICON, PROPERTY_ICON_TEXT_MARGIN, PROPERTY_INSETS, PROPERTY_LINE_WRAP, PROPERTY_MODEL, PROPERTY_PRESSED_BACKGROUND, PROPERTY_PRESSED_BACKGROUND_IMAGE, PROPERTY_PRESSED_BORDER, PROPERTY_PRESSED_ENABLED, PROPERTY_PRESSED_FONT, PROPERTY_PRESSED_FOREGROUND, PROPERTY_PRESSED_ICON, PROPERTY_ROLLOVER_BACKGROUND, PROPERTY_ROLLOVER_BACKGROUND_IMAGE, PROPERTY_ROLLOVER_BORDER, PROPERTY_ROLLOVER_ENABLED, PROPERTY_ROLLOVER_FONT, PROPERTY_ROLLOVER_FOREGROUND, PROPERTY_ROLLOVER_ICON, PROPERTY_TEXT, PROPERTY_TEXT_ALIGNMENT, PROPERTY_TEXT_POSITION, PROPERTY_TOOL_TIP_TEXT, PROPERTY_WIDTH`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`CheckBoxEx()` Creates a check box with no text or icon.
`CheckBoxEx(ImageReference icon)` Creates a check box with an icon.
`CheckBoxEx(java.lang.String text)` Creates a check box with text.
`CheckBoxEx(java.lang.String text, ImageReference icon)` Creates a check box with text and an icon.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String attributeName)` Returns a value for the given attribute name or null if one cannot be found.
`java.lang.String[]` | `getAttributeNames()` Returns a String array with the names of the the attributes that have neen set.
`void` | `init()` Life-cycle method invoked when the `Component` is added to a registered hierarchy.
`void` | `setAttribute(java.lang.String attributeName, java.lang.Object attributeValue)` Sets a value for a given attribute name.

Methods inherited from class nextapp.echo2.app.button.ToggleButton
`addChangeListener, fireStateChanged, getPressedSelectedStateIcon, getPressedStateIcon, getRolloverSelectedStateIcon, getRolloverStateIcon, getSelectedStateIcon, getStateAlignment, getStateIcon, getStateMargin, getStatePosition, isSelected, removeChangeListener, setModel, setPressedSelectedStateIcon, setPressedStateIcon, setRolloverSelectedStateIcon, setRolloverStateIcon, setSelected, setSelectedStateIcon, setStateAlignment, setStateIcon, setStateMargin, setStatePosition`

Methods inherited from class nextapp.echo2.app.button.AbstractButton
`addActionListener, doAction, fireActionPerformed, getActionCommand, getAlignment, getBackgroundImage, getBorder, getDisabledBackground, getDisabledBackgroundImage, getDisabledBorder, getDisabledFont, getDisabledForeground, getDisabledIcon, getHeight, getIcon, getIconTextMargin, getInsets, getModel, getPressedBackground, getPressedBackgroundImage, getPressedBorder, getPressedFont, getPressedForeground, getPressedIcon, getRolloverBackground, getRolloverBackgroundImage, getRolloverBorder, getRolloverFont, getRolloverForeground, getRolloverIcon, getText, getTextAlignment, getTextPosition, getToolTipText, getWidth, hasActionListeners, isLineWrap, isPressedEnabled, isRolloverEnabled, isValidChild, processInput, removeActionListener, setActionCommand, setAlignment, setBackgroundImage, setBorder, setDisabledBackground, setDisabledBackgroundImage, setDisabledBorder, setDisabledFont, setDisabledForeground, setDisabledIcon, setHeight, setIcon, setIconTextMargin, setInsets, setLineWrap, setPressedBackground, setPressedBackgroundImage, setPressedBorder, setPressedEnabled, setPressedFont, setPressedForeground, setPressedIcon, setRolloverBackground, setRolloverBackgroundImage, setRolloverBorder, setRolloverEnabled, setRolloverFont, setRolloverForeground, setRolloverIcon, setText, setTextAlignment, setTextPosition, setToolTipText, setWidth`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidParent, isVisible, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckBoxEx

    public CheckBoxEx()

  Creates a check box with no text or icon.

### CheckBoxEx

    public CheckBoxEx(ImageReference icon)

  Creates a check box with an icon.

  Parameters:
    `icon` - the icon to be displayed in the check box

### CheckBoxEx

    public CheckBoxEx(java.lang.String text)

  Creates a check box with text.

  Parameters:
    `text` - the text to be displayed in the check box

### CheckBoxEx

    public CheckBoxEx(java.lang.String text,
                      ImageReference icon)

  Creates a check box with text and an icon.

  Parameters:
    `text` - the text to be displayed in the check box
    `icon` - the icon to be displayed in the check box

Method Detail

### init

    public void init()

  Description copied from class: `Component`
  Life-cycle method invoked when the `Component` is added to a registered hierarchy. Implementations should always invoke `super.init()`. Modifications to the component hierarchy are not allowed within this method.

  Overrides:
    `init` in class `Component`
  See Also:
    `Component.init()`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String attributeName)

  Description copied from interface: `Attributeable`
  Returns a value for the given attribute name or null if one cannot be found.

  Specified by:
    `getAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to return
  Returns:
    a value for the given attribute name or null if one cannot be found.
  See Also:
    `Attributeable.getAttribute(java.lang.String)`

### getAttributeNames

    public java.lang.String[] getAttributeNames()

  Description copied from interface: `Attributeable`
  Returns a String array with the names of the the attributes that have neen set.

  Specified by:
    `getAttributeNames` in interface `Attributeable`
  Returns:
    a String array with the names of the the attributes that have neen set.
  See Also:
    `Attributeable.getAttributeNames()`

### setAttribute

    public void setAttribute(java.lang.String attributeName,
                             java.lang.Object attributeValue)

  Description copied from interface: `Attributeable`
  Sets a value for a given attribute name.

  Specified by:
    `setAttribute` in interface `Attributeable`
  Parameters:
    `attributeName` - - the name of the attribute to set
    `attributeValue` - - the value for the attribute
  See Also:
    `Attributeable.setAttribute(java.lang.String, java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD